<?php

    require_once '../conexion.php';

    $db = new Database();
    $conexion = $db->conectar();

    $conexion = new mysqli("localhost","root","","hamburguesas",3306);
    $valido = array('success' => false);

    try {
        $registros = json_decode(file_get_contents('php://input'), true);

        $registros['estado'];
        $registros['pago'];
        $cantidTotal = $registros['cantidad'];
        $fecha_hora = $registros['fechaVenta'];
        $valorTotal = $registros['valorT'];
        $cliente = $registros['cliente'];

        // Registro en la tabla venta
        $sqlVenta = "INSERT INTO `ventas`(`idVenta`,`cliente`,`valor T`, `fecha Entrega`,`estado`,`pago`,`cantidad`) 
        VALUES ('','$cliente','$valorTotal','$fecha_hora','Pendiente','Pendiente','$cantidTotal')";
        $queryVenta = $conexion->query($sqlVenta);
        $ultimo_id = $conexion->insert_id;

        $valido['success'] = true;
        $valido['ultimo_id'] = $ultimo_id;
    } catch (\Throwable $th) {
        $valido['success'] = false;
    }

    sleep(2);
    echo json_encode($valido);


?>